# WebResource: insert

**Requires [authorization](https://developers.google.com/site-verification/v1/webResource/insert#auth)**

Verifies ownership of a website or domain.
[Try it now](https://developers.google.com/site-verification/v1/webResource/insert#try-it).

Before calling [insert](https://developers.google.com/site-verification/v1/webResource/insert), place the authenticated user's [verification token](https://developers.google.com/site-verification/v1/webResource/insert#method_siteVerification.webResource.getVerificationToken) on their website or domain. When you call [insert](https://developers.google.com/site-verification/v1/webResource/insert), Google's Site Verification service queries the website or domain and looks for the token.
**Note:** Ownership information is stored and visible to other site owners (both current and future).If Google finds the user's token on the website or domain, it records the site as verified. The authenticated user can also delegate ownership; any email addresses you specify in the `owners` field in the request body are also recorded as verified site owners.  

The `verificationMethod` query parameter specifies the verification token type that Google should check for. The value of `verificationMethod` should match the value previously passed to [getToken](https://developers.google.com/site-verification/v1/webResource/getToken).

<br />

## Request

### HTTP request

```
POST https://www.googleapis.com/siteVerification/v1/webResource?verificationMethod=method
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Required query parameters** |||
| `verificationMethod` | `string` | The method to use for verifying a site or domain. |

### Authorization

This request requires authorization with at least one of the following scopes ([read more about authentication and authorization](https://developers.google.com/site-verification/v1/getting_started#auth)).

| Scope |
|---|
| `https://www.googleapis.com/auth/siteverification` |
| `https://www.googleapis.com/auth/siteverification.verify_only` |

### Request body

In the request body, supply a [WebResource resource](https://developers.google.com/site-verification/v1/webResource#resource).

## Response

If successful, this method returns a [WebResource resource](https://developers.google.com/site-verification/v1/webResource#resource) in the response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.
Alternatively, try the
[standalone
Explorer](https://developers.google.com/apis-explorer/#p/siteVerification/v1/siteVerification.webResource.insert).